Skip to main content
GET
/
api
/
v2
/
virtual-phone-accounts
/
{id}
/
sms-messages
cURL
curl --request GET \
  --url https://api.salvy.com.br/api/v2/virtual-phone-accounts/{id}/sms-messages \
  --header 'Authorization: Bearer <token>'
{
  "smsMessages": [
    {
      "id": "0140a8c6-3815-45b7-9e60-8e137cad845c",
      "receivedAt": "2025-09-03T00:00:00Z",
      "originPhoneNumber": "23456",
      "destinationPhoneNumber": "+5511987654321",
      "message": "Seu codigo de verificação e 123456",
      "detections": {
        "whatsapp": {
          "verificationCode": "123456"
        },
        "google": {
          "verificationCode": "123456"
        },
        "telegram": {
          "verificationCode": "123456"
        },
        "tiktok": {
          "verificationCode": "123456"
        },
        "shopee": {
          "verificationCode": "123456"
        },
        "amazon": {
          "verificationCode": "123456"
        },
        "facebook": {
          "verificationCode": "123456"
        },
        "nubank": {
          "verificationCode": "123456"
        },
        "microsoft": {
          "verificationCode": "123456"
        },
        "instagram": {
          "verificationCode": "123456"
        },
        "hotmart": {
          "verificationCode": "123456"
        },
        "discord": {
          "verificationCode": "123456"
        },
        "godaddy": {
          "verificationCode": "123456"
        },
        "twilio": {
          "verificationCode": "123456"
        },
        "youtube": {
          "verificationCode": "123456"
        },
        "claude": {
          "verificationCode": "123456"
        },
        "samsung": {
          "verificationCode": "123456"
        },
        "c6": {
          "verificationCode": "123456"
        },
        "ifood": {
          "verificationCode": "123456"
        },
        "paypal": {
          "verificationCode": "123456"
        },
        "autodesk": {
          "verificationCode": "123456"
        },
        "globo": {
          "verificationCode": "123456"
        },
        "apple": {
          "verificationCode": "123456"
        },
        "asaas": {
          "verificationCode": "123456"
        },
        "mercado-livre": {
          "verificationCode": "123456"
        },
        "wechat": {
          "verificationCode": "123456"
        },
        "alipay": {
          "verificationCode": "123456"
        },
        "airbnb": {
          "verificationCode": "123456"
        },
        "snapchat": {
          "verificationCode": "123456"
        },
        "hostgator": {
          "verificationCode": "123456"
        },
        "messages": {
          "verificationCode": "123456"
        },
        "sendpulse": {
          "verificationCode": "123456"
        },
        "kwai": {
          "verificationCode": "123456"
        },
        "salvy": {
          "verificationCode": "123456"
        },
        "santander": {
          "verificationCode": "123456"
        },
        "itau": {
          "verificationCode": "123456"
        },
        "temu": {
          "verificationCode": "123456"
        },
        "mercado-pago": {
          "verificationCode": "123456"
        },
        "indeed": {
          "verificationCode": "123456"
        },
        "zoom": {
          "verificationCode": "123456"
        },
        "x": {
          "verificationCode": "123456"
        },
        "hostinger": {
          "verificationCode": "123456"
        }
      }
    }
  ],
  "pagination": {
    "page": 1,
    "pageSize": 50,
    "totalCount": 123,
    "totalPages": 3
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.salvy.com.br/llms.txt

Use this file to discover all available pages before exploring further.

Para utilizar nossas APIs e Webhooks de linhas virtuais, é necessário aderir ao nosso manual de branding
Este endpoint permite que empresas listem as mensagens SMS recebidas por um número virtual, ordenadas por data de recebimento decrescente. Útil para reprocessar notificações de webhook perdidas.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

page
integer
default:1
required

Número da página, iniciando em 1.

Required range: 1 <= x <= 9007199254740991
Example:

1

pageSize
integer
default:50
required

Tamanho da página. Máximo de 200.

Required range: 1 <= x <= 200
Example:

50

receivedAtFrom
string<date-time>

Filtra mensagens recebidas a partir desta data (inclusivo), em formato ISO8601.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-09-01T00:00:00Z"

receivedAtTo
string<date-time>

Filtra mensagens recebidas até esta data (exclusivo), em formato ISO8601.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-10-01T00:00:00Z"

service
enum<string>

Filtra mensagens cujo serviço detectado seja o informado. Use none para retornar apenas mensagens sem nenhum serviço detectado.

Available options:
none,
whatsapp,
google,
telegram,
tiktok,
shopee,
amazon,
facebook,
nubank,
microsoft,
instagram,
hotmart,
discord,
godaddy,
twilio,
youtube,
claude,
samsung,
c6,
ifood,
paypal,
autodesk,
globo,
apple,
asaas,
mercado-livre,
wechat,
alipay,
airbnb,
snapchat,
hostgator,
messages,
sendpulse,
kwai,
salvy,
santander,
itau,
temu,
mercado-pago,
indeed,
zoom,
x,
hostinger,
unknown

Response

smsMessages
object[]
required
pagination
object
required